StarObjectSmallGraphicInternal::SdrGraphicAttribute Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphicAttribute Class Reference

Internal: virtual class to store a Sdr graphic attribute. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicAttribute:

## Public Member Functions
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
std::string | print () const override
| basic print function
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Public Attributes
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicAttribute const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic attribute.

## Constructor & Destructor Documentation

## ◆ SdrGraphicAttribute()

StarObjectSmallGraphicInternal::SdrGraphicAttribute::SdrGraphicAttribute | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<, and StarObjectSmallGraphicInternal::SdrGraphicText::SdrGraphicText().

## ◆ ~SdrGraphicAttribute()

StarObjectSmallGraphicInternal::SdrGraphicAttribute::~SdrGraphicAttribute | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicAttribute::print | ( |  | ) | const
| inlineoverridevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicRect, StarObjectSmallGraphicInternal::SdrGraphicText, and StarObjectSmallGraphicInternal::SdrGraphicUno.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicText::print().

## ◆ updateStyle()

void StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle | ( | StarState & | state,
|  | STOFFListenerPtr | listener ) const
| inline

try to update the style

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicAttribute const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_itemList

std::vector<std::shared_ptr<StarItem> > StarObjectSmallGraphicInternal::SdrGraphicAttribute::m_itemList

the list of star item

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectAttrib(), SdrGraphicAttribute(), and updateStyle().

## ◆ m_sheetStyle

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicAttribute::m_sheetStyle

the sheet style name

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectAttrib(), SdrGraphicAttribute(), and updateStyle().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx